Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.environment.processing.sim
Class SimProcessor

    java.lang.Object
      rice.environment.processing.sim.SimProcessor

All Implemented Interfaces:
  Destructable, Processor

    public class SimProcessor

extends java.lang.Object
implements Processor

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh

Constructor Summary
`SimProcessor(SelectorManager selector)` Constructor for SimProcessor.

Method Summary
`void` | `destroy()` DESCRIBE THE METHOD
`void` | `process(Executable task, Continuation command, SelectorManager selector, TimeSource ts, LogManager log)` DESCRIBE THE METHOD
`void` | `processBlockingIO(WorkRequest request)` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimProcessor

    public SimProcessor(SelectorManager selector)

  Constructor for SimProcessor.

  Parameters:
    `selector` - DESCRIBE THE PARAMETER

Method Detail

### process

    public void process(Executable task,
                        Continuation command,
                        SelectorManager selector,
                        TimeSource ts,
                        LogManager log)

  DESCRIBE THE METHOD

  Specified by:
    `process` in interface `Processor`
  Parameters:
    `task` - DESCRIBE THE PARAMETER
    `command` - DESCRIBE THE PARAMETER
    `selector` - DESCRIBE THE PARAMETER
    `ts` - DESCRIBE THE PARAMETER
    `log` - DESCRIBE THE PARAMETER

### processBlockingIO

    public void processBlockingIO(WorkRequest request)

  DESCRIBE THE METHOD

  Specified by:
    `processBlockingIO` in interface `Processor`
  Parameters:
    `request` - DESCRIBE THE PARAMETER

### destroy

    public void destroy()

  DESCRIBE THE METHOD

  Specified by:
    `destroy` in interface `Destructable`
  Specified by:
    `destroy` in interface `Processor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.